{% extends 'base.html.twig' %} {% block title %}Admin{% endblock %} {% block content %}

<div id="table_user" class="d-flex flex-column">
    <form method="POST" class="ml-auto" style="margin-right: 15%">
        <input type="text" name="username">
        <button class="btn btn-success">search</button>
    </form>
<table class="container">
    <tr>
        <br>
        <th>Username</th>
        <th>Email</th>
        <th>Role</th>
        <th>Number</th>
        <th>Street</th>
        <th>State</th>
        <th>Zipcode</th>
        <th>City</th>

        <th>Action</th>
    </tr>

    {% for row in users %}

    <tr>
        <td>
            <p>{{row.username}}</p>
        </td>
        <td>
            <p>{{row.email}}</p>
        </td>
        <td>
            {% if row.role %}
            <p>admin</p>
            {% else %}
            <p>user</p>

            {% endif %}

        </td>

        <td>
            <p>{{row.Number}}</p>
        </td>
        <td>
            <p>{{row.street}}</p>
        </td>
        <td>
            <p>{{row.state}}</p>
        </td>
        <td>
            <p>{{row.zipcode}}</p>
        </td>
        <td>
            <p>{{row.city}}</p>

        </td>
        <td>
            <a href="{{path('remove_user', {id:row.id})}}">
                <i class="far fa-trash-alt"></i>
            </a>
            <a href="{{path('edit_a_user', {id:row.id})}}">
                <i class="fas fa-user-edit"></i>
            </a>
         
<a href="{{path('chgRole',{id:row.id})}}">
    {% if row.role %}
    <i class="fas fa-arrow-circle-down"></i>
    {% else %}
    <i class="fas fa-crown"></i>
    {% endif %}    
    
</a> 

        </td>
    </tr>

    {% endfor %}

</table>
</div>
<div class="d-flex">
    <a href="{{path('add_category')}}" class="ml-auto" style="margin: 20px">
        <button class="btn btn-success">Add Category</button>
    </a>

    <a href="{{path('select_edit_category')}}" style="margin: 20px">
        <button class="btn btn-warning">Edit Category</button>
    </a>


    <a href="{{path('create_product')}}" style="margin: 20px 200px 20px 20px">
        <button class="btn btn-success">Add Product</button>
    </a>
</div>
{% endblock %}

